{% extends "base.html" %}
{% load static %}
{% load static %}
{% block css %}

<link href="{% static 'css/progress.css' %}" rel="stylesheet">
<link href="{% static 'css/widget.css' %}" rel="stylesheet">
<link href="{% static 'font-awesome/css/font-awesome.css' %}" rel="stylesheet">
<link href="{% static 'css/timeline.css' %}" rel="stylesheet">

{% endblock css %}




{% block content %}

<div class="row">
    <div class="col-md-12">
        <div class="card">
            <header class="card-heading card-blue">
                <h2 class="card-title">Solicitudes Pendientes</h2>
            </header>
            <div class="card-body">
                <div class="row">
                    <table class="table table-bordered">
                        <thead>
                            <th class="text-center">Tipo</th>
                            <th class="text-center">Alumno</th>
                            <th class="text-center">Fecha de Solicitud</th>
                            <th class="text-center">Empresa</th>
                            <th class="text-center">Acciones</th>
                        </thead>
                        <tbody>
                            {% for x in solicitudes %}
                            <tr>
                                <td style="vertical-align:middle;" class="text-center col-md-2">Práctica Profesional</td>
                                <td style="vertical-align:middle;" class="text-center col-md-2">{{x.alumno.name}}</td>
                                <td style="vertical-align:middle;" class="text-center col-md-2">{{x.created}}</td>
                                <td style="vertical-align:middle;" class="text-center col-md-2">{{x.empresa.nombre}}</td>
                                <td style="vertical-align:middle;" class="text-center col-md-4">
                                    <a href="{% url 'detalles_solicitud' x.pk %}" class="btn btn-sm btn-warning"><i class="fa fa-eye"></i> Ver Detalles</a>
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- modal block -->

        <div class="modal fade" id="modalAprobar" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
            <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h1 class="text-center" id="titulo-proyecto">Aprobar Solicitud</h1>
            </div>
              <div class="modal-body">
                <form action="{% url 'aprobar_solicitud_dsa' %}" method="post">
                {% csrf_token %}
                 <input style="display:none" id="pk_solicitud_aprobar" name="pk_solicitud_aprobar" type="text">
                  <div class="form-group">
                      <label for="comentario" class="control-label">Observación: </label>
                      <textarea required class="form-control" name="comentario" id="comentario" rows="5"></textarea>
                  </div>
              </div>
              <div class="modal-footer">
                  <button type="submit" class="btn btn-block btn-primary"><i class="fa fa-check"></i> Aprobar</button>
                  </form>
              </div>
            </div>
          </div>
        </div>

<!-- end modal block -->
<!-- modal block -->

        <div class="modal fade" id="modalRechazar" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
            <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h1 class="text-center" id="titulo-proyecto">Rechazar Solicitud</h1>
            </div>
            <div class="modal-body">
             <input style="display:none" id="pk_solicitud" name="pk_solicitud" type="text">
              <div class="form-group">
                  <label for="comentario" class="control-label">Observación: </label>
                  <textarea class="form-control" name="comentario" id="comentario" rows="5"></textarea>
              </div>
            </div>
            <div class="modal-footer">
              <button class="btn btn-block btn-danger"><i class="fa fa-times"></i> Rechazar</button>
            </div>
            </div>
          </div>
        </div>

<!-- end modal block -->
{% endblock content %}


{% block javascript %}

<script src="{% static 'js/plugins/pdfjs/pdf.js' %}"></script>


<script>

$(document).ready(function(){
    
    $("li").removeClass("active");
    $("#ds_solicitudes_pendientes").addClass("active");
    
    $('#modalAprobar').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget) // Button that triggered the modal
        var pk = button.data('pk') // Extract info from data-* attributes
        $("#pk_solicitud_aprobar").val(pk);        
    }); 
        
})


</script>




{% endblock javascript %}